### Class

# Ide SnippetParser

#### Description

    final class Ide.SnippetParser : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_snippet_parser_new

No description available.

#### Functions

###### ide_snippet_parser_parse_one

No description available.

Available since: 3.36

#### Instance methods

###### ide_snippet_parser_get_snippets

Get the list of all the snippets loaded.

Available since: 3.32

###### ide_snippet_parser_load_from_data

No description available.

###### ide_snippet_parser_load_from_file

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Ide.SnippetParser::parsing-error

No description available.

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeSnippetParserClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.